Drupal Commerce Satispay
===============

This version (2.x) of the module is currently in an early version with the minimum of functionality needed to handle a payment with Satispay.

All transactions take place "outside the shop" and the customer is not asked for credit card numbers or similar.

Version 2.x of the module is an adaptation to Drupal 9 of version 8.x-1.x but based on the new Satispay API available at https://github.com/satispay/gbusiness-api-php-sdk

## Requirement
- [Composer](https://getcomposer.org/)
- [Drupal 9](https://www.drupal.org)
- [Satispay Activation Token] (https://business.satispay.com/)

## Installation
```
composer require commerce_satispay
drush en commerce_satispay
```

## Configuration


### Get Satispay Activation Token

Sign in to your [Dashboard](https://business.satispay.com) at [business.satispay.com](https://business.satispay.com), click "Negozi Online" or "Negozi Fisici", and then click on "Genera un token di attivazione" to generate an activation token.

### Generate RSA Signature
```
drush satispay-generatekey XXXXXX
```
Save the outuput of this command in a safe place, you will need it to configure the module.
Remember that the 'Activation Token' is a OneTime object and you will only be able to generate the key once per token.

### Configure Drupal

- go to admin/commerce/config/payment-gateways
- create a new payment gateway
- enter the token OR the three keys
